Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.demos
Class StompDraw

    java.lang.Object
      org.jgroups.demos.StompDraw

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, StompConnection.Listener

    public class StompDraw

extends java.lang.Object
implements StompConnection.Listener, java.awt.event.ActionListener

Simple STOMP demo client. Use -h and -p to connect to *any* JGroups server (has to have STOMP in the config)

Author:
  Bela Ban, Oct 17 2001

Field Summary
`protected static java.lang.String` | `clients_dest`
`protected static java.lang.String` | `draw_dest`
`protected StompConnection` | `stomp_client`

Constructor Summary
`StompDraw(java.lang.String host, java.lang.String port)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `clearPanel()`
`void` | `go()`
`static void` | `main(java.lang.String[] args)`
`void` | `onInfo(java.util.Map<java.lang.String,java.lang.String> information)`
`void` | `onMessage(java.util.Map<java.lang.String,java.lang.String> headers, byte[] buf, int offset, int length)`
`void` | `sendClearPanelMsg()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stomp_client

    protected StompConnection stomp_client

### draw_dest

    protected static final java.lang.String draw_dest

See Also:
  Constant Field Values

### clients_dest

    protected static final java.lang.String clients_dest

See Also:
  Constant Field Values

Constructor Detail

### StompDraw

    public StompDraw(java.lang.String host,
                     java.lang.String port)
              throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### main

    public static void main(java.lang.String[] args)

### go

    public void go()
            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### onInfo

    public void onInfo(java.util.Map<java.lang.String,java.lang.String> information)

  Specified by:
    `onInfo` in interface `StompConnection.Listener`

### onMessage

    public void onMessage(java.util.Map<java.lang.String,java.lang.String> headers,
                          byte[] buf,
                          int offset,
                          int length)

  Specified by:
    `onMessage` in interface `StompConnection.Listener`

### clearPanel

    public void clearPanel()

### sendClearPanelMsg

    public void sendClearPanelMsg()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### stop

    public void stop()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.